# C++ keyword: `requires` (since C++20)

From cppreference.com
< cpp‎ | keyword

### Usage

- specifies a constant expression on template parameters that evaluate a requirement

  - within such a requirement, introduces a nested requirement

- in a template declaration, specifies an associated constraint

### See also

- `class`, `typename`
- `template`
- `concept`

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/keyword/requires&oldid=175004"